Subject: RE: Silence suppression with NetMeeting

From: Max Morris <[email-masked]>
Date: Tue, 3 Nov 1998 10:39:55 -0800

NetMeeting doesn't use these optional modes.  If there's silence, we don't
send anything at all.  This is consistent with most other H.323
implementations that we interoperate with.  In contrast, H.320 systems
typically send silence because they have to send something.

-Max Morris
 NetMeeting Program Manager

> -----Original Message-----
> From:	Reinaldo Penno Filho [SMTP:[email-masked]]
> Sent:	Tuesday, November 03, 1998 9:44 AM
> To:	list iptel; Linden, Dominique
> Subject:	RE: Silence suppression with NetMeeting
> 
> 
> you> -----Original Message-----
> you> From: [email-masked]
> you> [mailto:[email-masked]]On Behalf Of Linden,
> you> Dominique
> you> Sent: Tuesday, November 03, 1998 11:49 AM
> you> To: list iptel
> you> Subject: Silence suppression with NetMeeting
> you>
> you>
> you> Does anybody know how you can make NetMeeting support silence
> you> suppression /
> you> comfort noise generation?
> you>
> 
> As far as I know, *if* netmeeting supports G.723.1 (and Anexes), silence
> supression, comfort noise generation and VAD should be implemented by
> default. It´s in the ITU standard.
> 
> Best Regards,
> 
> _________________________________
> Reinaldo Penno Filho
> Consultor Tecnico
> SAGA Sistemas e Computadores S.A.
> tel: 55-21-5508506
> e-mail : [email-masked]
> 
> Universidade Federal do Rio de Janeiro
> Nucleo de Computacao Eletronica / Instituto de Matematica
> Grupo de Redes de Alta Velocidade
> e-mail : [email-masked]
> 
> IEEE member
> e-mail : [email-masked]
> _________________________________
> 
> 
> 
> 
> you> Thanks,
> you> Dominique
> you> ---------
> you> This message came from the IETF IPTEL Working Group Mailing List.
> you>
> 
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.
---------
This message came from the IETF IPTEL Working Group Mailing List.

---

From: Robert Webber <[email-masked]>
Date: Tue, 03 Nov 1998 18:18:24 -0500

The answer to the original question is still a little unclear.  Does
NetMeeting just stop coding when there's no speech activity in "G.723.1"
mode, without signaling the start of silence as specified in ITU-T G.723.1?

However, the assessment of "H.320 systems" and the reason for G.723.1
silence detection, comfort noise, and VAD is incorrect.  Possibly Max
Morris is confused about the meaning of "silence supression," which is not
the same as coding and sending audio frames even when there is no speech at
the transmitter's microphone.

"Silence frames" are sent in G.723.1 to indicate to the receiving decoder
that some shaped fill noise should be inserted to avoid audible artifacts
when speech stops.

Circuit-oriented codecs often don't do anything special for silence, as Max
notes, they "send silence," because the bit allocation across a circuit or
in a sub-channel of the H.320 multiplex (H.221) is static.  The bandwidth
used to send silence can't be recovered, so to reduce codec and multiplex
complexity, there is no speech or silence detection in the coder.  G.711
PCM over a switched circuit, for example, sends 64 or 56 kbit/s of coded
audio.

G.723.1 was developed along with H.324, a circuit-oriented VCS with a
flexible multiplex (H.224) which can recover bandwidth in periods of
silence.  As part of the process of development, comfort noise was
introduced to G.723.1 to improve the user experience of the onset of
silence supression.

In fact, G.723.1 adaptation to H.320 required not only a scheme to pack
existing G.723.1 frames into an H.221 sub-channel, but also an
H.221-specific bit pattern to fill in the multiplex when G.723.1 falls silent.

Simply falling silent was obviously always an alternative, but this was not
done in the G.723.1 standard coder to improve sound quality.

Bob

---------